#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    int dva=2,pet=5,jedan=1,br=0,V,st=0,m;
    scanf("%d",&V);
    m=V;
    while(m!=0)
    {
        m/=10;
        st++;
    }
    st--;
    while(st!=0)
    {
        dva*=10;
        pet*=10;
        jedan*=10;
        st--;
    }
    while(V!=0)
    {
        if(V>=pet)
        {
            while(V>0 && V>=pet)
            {
                V-=pet;
                br++;
            }
        }
        if(V>=dva)
        {
            while(V>0 && V>=dva)
            {
                V-=dva;
                br++;
            }
        }
        if(V>=jedan)
        {
            while(V>0 && V>=jedan)
            {
                V-=jedan;
                br++;
            }
        }
        pet/=10;
        dva/=10;
        jedan/=10;

    }
    printf("%d",br);

}